Method: properties.createConnectedSiteTag

  • This API allows the creation of connected site tags for Universal Analytics properties, with a limit of 20 tags per property.

  • The HTTP request method is POST to the specified analyticsadmin API endpoint.

  • The request body requires a JSON structure containing the Universal Analytics property ID and the ConnectedSiteTag object.

  • A successful response body is empty.

  • Authorization requires the https://www.googleapis.com/auth/analytics.edit OAuth scope.

Creates a connected site tag for a Universal Analytics property. You can create a maximum of 20 connected site tags per property. Note: This API cannot be used on GA4 properties.

HTTP request

POST https://analyticsadmin.googleapis.com/v1alpha/properties:createConnectedSiteTag

The URL uses gRPC Transcoding syntax.

Request body

The request body contains data with the following structure:

JSON representation
{
  "property": string,
  "connectedSiteTag": {
    object (ConnectedSiteTag)
  }
}
Fields
property

string

The Universal Analytics property to create connected site tags for. This API does not support GA4 properties. Format: properties/{universalAnalyticsPropertyId} Example: properties/1234

connectedSiteTag

object (ConnectedSiteTag)

Required. The tag to add to the Universal Analytics property

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/analytics.edit